<div class="card card-block">
    <div class="card-header">
      <div class="row">
        <h4>All Budgets</h4>       
      </div>
      
    </div>
</div>
<div>
    <table class="table table-bordered">
        <thead>
            <th>Budget Name</th>
            <th>First Month</th>
            <th>Last Month</th>
            <th>Last Updated</th>
            <th>Details</th>
        </thead>
        <tbody>
            <tr *ngFor="let budget of budgetList">
            <td>{{budget.name}}</td>
            <td>{{budget.first_month}}</td>
            <td>{{budget.last_month}}</td>
            <td>{{budget.last_modified_on}}</td>
            <td>
                <button class="btn btn-sm btn-primary" style="margin:2px" (click)="showPayees(budget.id)">Show Payees</button>
                <button class="btn btn-sm btn-primary" style="margin:2px" (click)="viewAssociatedAccount(budget.id)">Accounts</button>
            </td>
        </tr>
        </tbody>
    </table>
</div>